%define real_name Net-FTP-Common

Summary:	Net::FTP::Common - simplify common usages of Net::FTP
Name:		perl-%{real_name}
Version:	5.2b
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org
Source0:	http://search.cpan.org/CPAN/authors/id/T/TB/TBONE/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Net::FTP)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module is intended to make the common uses of Net::FTP a one-line,
no-argument affair. In other words, you have 100% programming with
Net::FTP. With Net::FTP::Common you will have 95% configuration and 5%
programming.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Net/FTP/*
%{perl_vendorlib}/TestConfig.pm
%{_mandir}/*/*

%changelog
* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 5.2b-1mdk
- initial Mandriva package 
